### Class

# EDataServer NetworkMonitor

since: 3.22

#### Description [src]

    class EDataServer.NetworkMonitor : GObject.Object
      implements Gio.Initable, Gio.NetworkMonitor {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below. Implements `GNetworkMonitorInterface`.

Available since: 3.22

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GInitable
- GNetworkMonitor

#### Functions

###### e_network_monitor_get_default

Gets the default `ENetworkMonitor`. The caller should not unref the returned instance. The `ENetworkMonitor` implements the `GNetworkMonitor` iterface.

since: 3.22

#### Instance methods

###### e_network_monitor_dup_gio_name

Get currently set GIO name for the network availability checks. See `e_network_monitor_set_gio_name()` for more details.

since: 3.22

###### e_network_monitor_list_gio_names

Get a list of available GIO names for the `GNetworkMonitor` implementations. The strings can be used in e_network_monitor_set_gio_name().

since: 3.22

###### e_network_monitor_set_gio_name

Set a `gio_name` of the `GNetworkMonitor` implementation to use, can be `NULL`. Use `e_network_monitor_list_gio_names()` for a list of available implementations. A special value, `E_NETWORK_MONITOR_ALWAYS_ONLINE_NAME`, can be used to report the network as always reachable. When an unknown GIO name is used the default `GNetworkMonitor` implementation, as returned by the g_network_monitor_get_default(), will be used.

since: 3.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

##### Methods inherited from GNetworkMonitor (6)

###### g_network_monitor_can_reach

Attempts to determine whether or not the host pointed to by `connectable` can be reached, without actually trying to connect to it.

###### g_network_monitor_can_reach_async

Asynchronously attempts to determine whether or not the host pointed to by `connectable` can be reached, without actually trying to connect to it.

###### g_network_monitor_can_reach_finish

Finishes an async network connectivity test. See g_network_monitor_can_reach_async().

###### g_network_monitor_get_connectivity

Gets a more detailed networking state than g_network_monitor_get_network_available().

###### g_network_monitor_get_network_available

Checks if the network is available. “Available” here means that the system has a default route available for at least one of IPv4 or IPv6. It does not necessarily imply that the public Internet is reachable. See `GNetworkMonitor:network-available` for more details.

###### g_network_monitor_get_network_metered

Checks if the network is metered. See `GNetworkMonitor:network-metered` for more details.

#### Properties

###### EDataServer.NetworkMonitor:gio-name

The GIO name of the underlying `GNetworkMonitor` to use.

##### Properties inherited from GNetworkMonitor (3)

###### Gio.NetworkMonitor:connectivity

More detailed information about the host’s network connectivity. See `g_network_monitor_get_connectivity()` and `GNetworkConnectivity` for more details.

###### Gio.NetworkMonitor:network-available

Whether the network is considered available. That is, whether the system has a default route for at least one of IPv4 or IPv6.

###### Gio.NetworkMonitor:network-metered

Whether the network is considered metered.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GNetworkMonitor (1)

###### GNetworkMonitor::network-changed

Emitted when the network configuration changes.

#### Class structure

    struct EDataServerNetworkMonitorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.